org.apache.ignite.internal.managers.systemview

## Class ScanQuerySystemView<K,V>

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.ScanQuerySystemView<K,V>

All Implemented Interfaces:
  Iterable<ScanQueryView>, SystemView<ScanQueryView>

    public class ScanQuerySystemView<K,V>
    extends Object

`SystemView` implementation providing data about cache queries.

See Also:
  `GridCacheQueryManager.queryIterators()`, `ScanQueryView`

### Field Summary

Fields
`static String` `SCAN_QRY_SYS_VIEW` Scan query system view.
`static String` `SCAN_QRY_SYS_VIEW_DESC` Scan query system view description.

### Constructor Summary

Constructors
Constructor and Description
`ScanQuerySystemView(Collection<GridCacheContext<K,V>> cctxs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`@NotNull Iterator<ScanQueryView>` `iterator()`
`String` `name()`
`Class<R>` `rowClass()`
`int` `size()`
`SystemViewRowAttributeWalker<R>` `walker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### SCAN_QRY_SYS_VIEW

    public static final String SCAN_QRY_SYS_VIEW

Scan query system view.

#### SCAN_QRY_SYS_VIEW_DESC

    public static final String SCAN_QRY_SYS_VIEW_DESC

Scan query system view description.

See Also:
  Constant Field Values

### Constructor Detail

#### ScanQuerySystemView

    public ScanQuerySystemView(Collection<GridCacheContext<K,V>> cctxs)

Parameters:
  `cctxs` - Cache data.

### Method Detail

#### size

    public int size()

Returns:
  Size of the view.

#### iterator

    @NotNull
    public @NotNull Iterator<ScanQueryView> iterator()

#### rowClass

    public Class<R> rowClass()

Specified by:
  `rowClass` in interface `SystemView<R>`
Returns:
  Class of the row.

#### name

    public String name()

Specified by:
  `name` in interface `SystemView<R>`
Returns:
  View name.

#### description

    public String description()

Specified by:
  `description` in interface `SystemView<R>`
Returns:
  View description.

#### walker

    public SystemViewRowAttributeWalker<R> walker()

Specified by:
  `walker` in interface `SystemView<R>`
Returns:
  Helper for exporters.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020